<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:gravity="center"
    android:orientation="vertical">


    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="40dp"
        android:layout_marginRight="40dp">

        <ImageView
            android:id="@+id/id_img_dialog_bg"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:adjustViewBounds="true"
            android:scaleType="fitXY"
            android:src="@drawable/box_select_box_bg" />

        <TextView
            android:id="@+id/id_tv_select_box_name"
            android:layout_width="match_parent"
            android:layout_height="44dp"
            android:layout_alignTop="@+id/id_img_dialog_bg"
            android:layout_centerInParent="true"
            android:layout_marginLeft="80dp"
            android:layout_marginRight="80dp"
            android:autoSizeTextType="uniform"
            android:autoSizeMaxTextSize="18sp"
            android:autoSizeMinTextSize="8sp"
            android:background="@drawable/box_select_box_name"
            android:gravity="center"
            android:paddingLeft="16dp"
            android:maxLines="1"
            android:paddingRight="16dp"
            android:text=""
            android:textColor="@color/white"
            android:textSize="18sp"
            android:textStyle="bold" />


        <TextView
            android:id="@+id/id_tv_desc"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/id_tv_select_box_name"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="12dp"
            android:layout_marginBottom="10dp"
            android:text="- 请选择盲盒进行开启 -"
            android:textColor="#5B3DF3"
            android:textSize="14sp"
            android:textStyle="bold" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/id_rcl_select_box_list"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@+id/id_tv_desc"
            android:layout_marginLeft="20dp"
            android:layout_marginRight="20dp" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@id/id_rcl_select_box_list"
            android:layout_marginLeft="25dp"
            android:layout_marginTop="10dp"
            android:layout_marginRight="25dp"
            android:gravity="center"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/id_tv_select_box_reset_btn"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="12dp"
                android:layout_weight="1"
                android:background="@drawable/box_select_reset_btn"
                android:gravity="center"
                android:text="换一组"
                android:textColor="@color/white"
                android:textSize="15sp"
                android:textStyle="bold" />

            <LinearLayout
                android:id="@+id/id_select_box_buy_btn"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="2.5"
                android:background="@drawable/box_select_open_box_btn_bg"
                android:gravity="center"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:includeFontPadding="false"
                    android:text="￥"
                    android:textColor="@color/white"
                    android:textSize="15sp"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/id_tv_select_box_list_price"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:includeFontPadding="false"
                    android:text="0.0/0"
                    android:textColor="@color/white"
                    android:textSize="18sp"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:includeFontPadding="false"
                    android:text="盒"
                    android:textColor="@color/white"
                    android:textSize="15sp"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10dp"
                    android:gravity="center"
                    android:includeFontPadding="false"
                    android:text="试试手气"
                    android:textColor="@color/white"
                    android:textSize="15sp" />

            </LinearLayout>

        </LinearLayout>


    </RelativeLayout>

    <ImageView
        android:id="@+id/id_img_select_box_close_btn"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:src="@drawable/box_select_icon_dialog_guanbi" />

</LinearLayout>